// TestDLL_RF65x.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <stdio.h>
#include <conio.h>
#include "FTD2XX.H"
#include "RF65x.h"

int main(int argc, char* argv[])
{

	FT_HANDLE			hRF65x			= INVALID_HANDLE_VALUE;
	DWORD				dwValue;
	USHORT				usMeasured;
	RF65xHELLOANSWER	hlans;


	memset(&hlans, 0x00, sizeof(RF65xHELLOANSWER));

	RF65x_FTDI_OpenPort("D2XX Recovery PID for XP", CBR_115200, &hRF65x);

	if (RF65x_FTDI_HelloCmd( hRF65x, 2, &hlans ))
	{
		printf("Dev modify\t: %d\r\nDev type\t: %d\r\nDev max dist\t: %d\r\nDev range\t: %d\r\nDev serial\t: %d\r\n",		
						hlans.bDeviceModificaton, 
						hlans.bDeviceType, 
						hlans.wDeviceMaxDistance, 
						hlans.wDeviceRange, 
						hlans.wDeviceSerial
						);
		RF65x_FTDI_Measure(hRF65x, 0x02, &usMeasured);

		printf("Measured\t: %d\r\n", usMeasured);
	}

	RF65x_FTDI_ClosePort(hRF65x);

	_getch();
	
	return 0;

}

